Description

History

#1 - 01/14/2025 01:06 PM - Junaid M
- File clipboard-202501141305-to8bm.png added

ISSUE FOUND

1. In Report modules Date From, To Format issue
Solution:

strPeriodFrom = .insGlobalFunctions.FnConvertDateTimeObjectTo24hStringDbFormat((DateTime)mdlDsrSummarySearchInput.datPeriodFrom);
strPeriodTo = .insGlobalFunctions.FnConvertDateTimeObjectTo24hStringDbFormat((DateTime)mdlDsrSummarySearchInput.datPeriodTo);

if (mdlDsrSummarySearchInput.sinDateType == 1)
{
strSqlWherePartSale = $"spd.dat_sale IS NOT NULL AND spd.dat_sale BETWEEN CAST('{strPeriodFrom}' AS DATE) AND CAST('{strPeriodTo}' AS DATE) ";
strSqlWherePartRefund = $"spd.dat_refund IS NOT NULL AND spd.dat_refund BETWEEN CAST('{strPeriodFrom}' AS DATE) AND CAST('{strPeriodTo}' AS DATE) ";
}

To know which Modules having this issue. Go to "http://86.106.181.189:3800".Open all report module and search with date greater than 12th day.

#2 - 01/14/2025 01:09 PM - Junaid M

- Subject changed from date/time field value out of range: to Common issue: date/time field value out of range:

#3 - 01/15/2025 12:34 PM - Amal Ck
- File ipmsgclip_s_ 1736924109 _1.png added

Change cast- TODATE in query when taking date from json

#4 - 01/16/2025 04:30 PM - Athira KK
- Status changed from New to Coding Started
- % Done changed from 0 to 30

#5 - 01/30/2025 11:08 AM - Athira KK
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60
